/*
 * Copyright (c) 1992-94 Silicon Graphics, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the name of Silicon Graphics may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of Silicon Graphics.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE
 * POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
//  -*- C++ -*-

/*
 * Copyright (C) 1992   Silicon Graphics, Inc.
 *
 _______________________________________________________________________
 ______________  S I L I C O N   G R A P H I C S   I N C .  ____________
 |
 |   $Revision: 1.1 $
 |
 |   Class:
 |	SoPixmapButton - pixmap button convenience wrapper for the viewers
 |
 |   Description:
 |	A Motif push button with a pixmap displayed on it.
 |	No border for the button is shown. The shadow is drawn
 |      when the highlight() method is passed TRUE. 
 |
 |   Author(s): Alain Dumesny
 |
 ______________  S I L I C O N   G R A P H I C S   I N C .  ____________
 _______________________________________________________________________
 */

#ifndef _SO_PIXMAP_BUTTON_
#define _SO_PIXMAP_BUTTON_

#include <X11/Intrinsic.h>
#include <Inventor/SbBasic.h>

class SoPixmapButton {
  public:
    SoPixmapButton(Widget parent, SbBool selectable);
    ~SoPixmapButton();
    
    // return the motif push button
    Widget	getWidget()	    { return widget; }
    
    // set the icon to use for the pixmap
    void	setIcon(char *icon, int width, int height);
    
    // Highlight the pixmap to show it it selected
    void	select(SbBool onOrOff);
    SbBool	isSelected()	    { return selectFlag; }
    
  private:
    Widget	parent, widget;
    SbBool	selectFlag, selectable;
    Pixmap	normalPixmap, armPixmap, selectPixmap;
};

#endif // _SO_PIXMAP_BUTTON_
